#First, make sure to have available all necessary modules:
import datetime as dt
import matplotlib.pyplot as plt
from matplotlib import style
import pandas as pd
import yfinance as yf
import numpy as np
style.use('ggplot')

#Second, retrive the data from, say, Yahoo
start = dt.datetime(2012,12,31)
end = dt.datetime(2021,11,7)

#The list contains the 5 symbols for the stocks;
#Google (GOOGL), Facebook (FB), Microsoft (MSFT), Apple (AAPL), IBM (IBM), and
#the symbols for the Dow Jones Industrial Average and the S&P500

symbols = ["GOOGL","FB","MSFT","AAPL","IBM","^DJI","^GSPC"]

#Only the closing values of each data set:
data = pd.DataFrame()
for sym in symbols:
    data[sym] = yf.download(sym, start, end)['Close']    
data = data.dropna()

print(data.head())
print(data.tail())

#plot data
data[['GOOGL','FB','MSFT','AAPL','IBM']].plot()
plt.show()

data[['FB','MSFT','AAPL','IBM']].plot()
plt.show()

#Save that data in file:
data.to_csv('DJI.csv')

